export declare const DB_TYPES: {
    readonly int: "INT";
    readonly text: "TEXT";
};
export declare const DB_COLUMNS: {
    readonly SUITE_PATH: "suitePath";
    readonly SUITE_NAME: "suiteName";
    readonly NAME: "name";
    readonly SUITE_URL: "suiteUrl";
    readonly META_INFO: "metaInfo";
    readonly HISTORY: "history";
    readonly DESCRIPTION: "description";
    readonly ERROR: "error";
    readonly SKIP_REASON: "skipReason";
    readonly IMAGES_INFO: "imagesInfo";
    readonly SCREENSHOT: "screenshot";
    readonly MULTIPLE_TABS: "multipleTabs";
    readonly STATUS: "status";
    readonly TIMESTAMP: "timestamp";
};
export declare const SUITES_TABLE_COLUMNS: readonly [{
    readonly name: "suitePath";
    readonly type: "TEXT";
}, {
    readonly name: "suiteName";
    readonly type: "TEXT";
}, {
    readonly name: "name";
    readonly type: "TEXT";
}, {
    readonly name: "suiteUrl";
    readonly type: "TEXT";
}, {
    readonly name: "metaInfo";
    readonly type: "TEXT";
}, {
    readonly name: "history";
    readonly type: "TEXT";
}, {
    readonly name: "description";
    readonly type: "TEXT";
}, {
    readonly name: "error";
    readonly type: "TEXT";
}, {
    readonly name: "skipReason";
    readonly type: "TEXT";
}, {
    readonly name: "imagesInfo";
    readonly type: "TEXT";
}, {
    readonly name: "screenshot";
    readonly type: "INT";
}, {
    readonly name: "multipleTabs";
    readonly type: "INT";
}, {
    readonly name: "status";
    readonly type: "TEXT";
}, {
    readonly name: "timestamp";
    readonly type: "INT";
}];
export declare const DB_MAX_AVAILABLE_PAGE_SIZE = 65536;
export declare const DB_SUITES_TABLE_NAME = "suites";
export declare const LOCAL_DATABASE_NAME = "sqlite.db";
export declare const DATABASE_URLS_JSON_NAME = "databaseUrls.json";
interface DbColumnIndexes {
    [DB_COLUMNS.SUITE_PATH]: 0;
    [DB_COLUMNS.SUITE_NAME]: 1;
    [DB_COLUMNS.NAME]: 2;
    [DB_COLUMNS.SUITE_URL]: 3;
    [DB_COLUMNS.META_INFO]: 4;
    [DB_COLUMNS.HISTORY]: 5;
    [DB_COLUMNS.DESCRIPTION]: 6;
    [DB_COLUMNS.ERROR]: 7;
    [DB_COLUMNS.SKIP_REASON]: 8;
    [DB_COLUMNS.IMAGES_INFO]: 9;
    [DB_COLUMNS.SCREENSHOT]: 10;
    [DB_COLUMNS.MULTIPLE_TABS]: 11;
    [DB_COLUMNS.STATUS]: 12;
    [DB_COLUMNS.TIMESTAMP]: 13;
}
export declare const DB_COLUMN_INDEXES: DbColumnIndexes;
export {};
