import { ValueOf } from 'type-fest';
export declare const DiffModes: {
    readonly THREE_UP: {
        readonly id: "3-up";
        readonly title: "3-up";
        readonly description: "images in column";
    };
    readonly THREE_UP_SCALED: {
        readonly id: "3-up-scaled";
        readonly title: "3-up scaled";
        readonly description: "scaled images in row";
    };
    readonly THREE_UP_SCALED_TO_FIT: {
        readonly id: "3-up-scaled-to-fit";
        readonly title: "3-up scaled to fit";
        readonly description: "scaled to browser height images in row";
    };
    readonly ONLY_DIFF: {
        readonly id: "only-diff";
        readonly title: "Only diff";
        readonly description: "click on image to see area with diff";
    };
    readonly SWITCH: {
        readonly id: "switch";
        readonly title: "Switch";
        readonly description: "click on image to switch";
    };
    readonly SWIPE: {
        readonly id: "swipe";
        readonly title: "Swipe";
        readonly description: "move divider";
    };
    readonly ONION_SKIN: {
        readonly id: "onion-skin";
        readonly title: "Onion skin";
        readonly description: "move slider";
    };
};
export type DiffModes = typeof DiffModes;
export type DiffMode = ValueOf<DiffModes>;
export type DiffModeId = DiffModes[keyof DiffModes]['id'];
