"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventSource = void 0;
const json_stringify_safe_1 = __importDefault(require("json-stringify-safe"));
class EventSource {
    constructor() {
        this._connections = [];
    }
    addConnection(connection) {
        this._connections.push(connection);
    }
    emit(event, data) {
        this._connections.forEach(function (connection) {
            connection.write('event: ' + event + '\n');
            connection.write('data: ' + (0, json_stringify_safe_1.default)(data) + '\n');
            connection.write('\n\n');
        });
    }
}
exports.EventSource = EventSource;
//# sourceMappingURL=event-source.js.map