import { TestStatus } from '../constants';
import { AssertViewResult, TestError, ErrorDetails, ImageInfoFull, ImageBase64, ImageFile, RawSuitesRow } from '../types';
import { ReporterTestResult } from './index';
interface SqliteTestAdapterOptions {
    titleDelimiter: string;
}
export declare class SqliteTestAdapter implements ReporterTestResult {
    private _testResult;
    private _parsedTestResult;
    private _titleDelimiter;
    constructor(testResult: RawSuitesRow, attempt: number, options: SqliteTestAdapterOptions);
    get assertViewResults(): AssertViewResult[];
    get attempt(): number;
    get browserId(): string;
    get description(): string | undefined;
    get error(): TestError | undefined;
    get errorDetails(): ErrorDetails | null;
    get file(): string;
    get fullName(): string;
    get history(): string[];
    get id(): string;
    get imageDir(): string;
    get imagesInfo(): ImageInfoFull[];
    get meta(): Record<string, unknown>;
    get multipleTabs(): boolean;
    get screenshot(): ImageBase64 | ImageFile | null | undefined;
    get sessionId(): string;
    get skipReason(): string | undefined;
    get state(): {
        name: string;
    };
    get status(): TestStatus;
    get testPath(): string[];
    get timestamp(): number | undefined;
    get url(): string | undefined;
}
export {};
