"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TreeTestResultTransformer = void 0;
const lodash_1 = __importDefault(require("lodash"));
const db_1 = require("./db");
const utils_1 = require("../utils");
class TreeTestResultTransformer {
    constructor(options) {
        this._transformer = new db_1.DbTestResultTransformer(options);
    }
    transform(testResult) {
        const result = this._transformer.transform(testResult);
        return {
            ...lodash_1.default.omit(result, 'imagesInfo'),
            attempt: testResult.attempt,
            errorDetails: (0, utils_1.extractErrorDetails)(testResult)
        };
    }
}
exports.TreeTestResultTransformer = TreeTestResultTransformer;
//# sourceMappingURL=tree.js.map