import PQueue from 'p-queue';
import { Workers } from 'worker-farm';
import type { Reporter, TestCase, TestResult as PwtTestResult } from '@playwright/test/reporter';
import { StaticReportBuilder } from './lib/report-builder/static';
import { HtmlReporter } from './lib/plugin-api';
import { ReporterConfig } from './lib/types';
import { RegisterWorkers } from './lib/workers/create-workers';
export { ReporterConfig } from './lib/types';
declare class MyReporter implements Reporter {
    protected _promiseQueue: PQueue;
    protected _staticReportBuilder: StaticReportBuilder | null;
    protected _htmlReporter: HtmlReporter;
    protected _config: ReporterConfig;
    protected _workerFarm: Workers;
    protected _workers: RegisterWorkers<['saveDiffTo']>;
    protected _initPromise: Promise<void>;
    constructor(opts: Partial<ReporterConfig>);
    onTestEnd(test: TestCase, result: PwtTestResult): void;
    onEnd(): Promise<void>;
}
export default MyReporter;
